Skip to main content

Objects

Endpoints for updating and maintaining geoscience objects


List geoscience objects by org

Geoscience Object API

Version: 1.21.4
Preview

The response will list geoscience objects for the provided organisation ID.

Parameters

authorizationstring
Required

Example: "b208a6c9-6881-4b97-b02d-acb5d81299bb"

The customer's organisation ID

Number of results to skip before returning limit number of results.

Example: 10

Default: 5000

Max number of results per page.

When true, only objects that have been deleted will be returned

Only return objects in workspaces the user is permitted to access.

Example: "object_name,desc:created_by,asc:object.a.b.c"

A comma separated list of fields to order by, where the default sort order is ascending. To specify the sort order, prefix the field name with either asc: or desc: for ascending or descending respectively. Field names can either be arbitrary, representing a field nested inside the data, or one of the following known sort fields: created_at, created_by, modified_at, modified_by, object_name, deleted_at

Example: "00000000-0000-0000-0000-000000000000"

The UUID of the user that created an object

Example: "gte:2023-03-10T22:56:53Z"

A date or dates (max 2) to filter objects by. Dates may contain operator prefixes, in the form <operator>:<datetime>. The following operators are available (lt=less than, lte=less than or equal to, gt=greater than, gte=greater than or equal to). If you omit the operator, then it is assumed the operator is 'equal to'. In this case you may only supply one date. The dates must also be in a valid ISO 8601 format. Dates may include a UTC offset. If the offset is omitted, the timezone is assumed to be UTC.

Example: "00000000-0000-0000-0000-000000000000"

The UUID of the user that modified an object

Example: "gte:2023-03-10T22:56:53Z"

A date or dates (max 2) to filter objects by. Dates may contain operator prefixes, in the form <operator>:<datetime>. The following operators are available (lt=less than, lte=less than or equal to, gt=greater than, gte=greater than or equal to). If you omit the operator, then it is assumed the operator is 'equal to'. In this case you may only supply one date. The dates must also be in a valid ISO 8601 format. Dates may include a UTC offset. If the offset is omitted, the timezone is assumed to be UTC.

Examples: "object.json", "eq:path/to/object.json"

The name of the object to filter on. For backwards compatibility, when no operators are supplied, this will perform a case sensitive prefix match of the object file name. The query object_name=gold will match an object with the name goldcolumns.json. Providing an operator will query over the entire path to and including the file name.

Examples: "/objects/variogram/0.1.0/variogram.schema.json", "like:*variogram*"

The type of schema you want to filter by.

Example: "geointersects:(171.6,-44.5),(173.7,-44.5),(173.7,-42.9),(171.6,-42.9),(171.6,-44.5)"

The coordinates of the data to spatially search on. The value may optionally include one of two spatial operators, geowithin or geointersects. If an operator is not defined, then geointersects will be used by default. The coordinates must be 5 pairs of longitude and latitude, representing a closed polygon. The first and last coordinates must be the same to close the polygon.

Example: "00000000-0000-0000-0000-000000000000"

The UUID of the user that deleted an object

Example: "gte:2023-03-10T22:56:53Z"

A date or dates (max 2) to filter objects by. Dates may contain operator prefixes, in the form <operator>:<datetime>. The following operators are available (lt=less than, lte=less than or equal to, gt=greater than, gte=greater than or equal to). If you omit the operator, then it is assumed the operator is 'equal to'. In this case you may only supply one date. The dates must also be in a valid ISO 8601 format. Dates may include a UTC offset. If the offset is omitted, the timezone is assumed to be UTC.

Returns

200

Successful Response

countinteger
limitinteger

nextstring | null
prevstring | null

created_atdate-time
created_byUser | null
deleted_atdate-time | null
deleted_byUser | null
geojson_bounding_boxBoundingBox | null

True if the bounding box was calculated using the workspace CRS, else False.

modified_atdate-time
modified_byUser | null
namestring
object_iduuid
schemastring
stageStageResponse | null
workspace_access"owner" | "editor" | "viewer" | null
workspace_iduuid
workspace_namestring | null
offsetinteger
totalinteger

Endpoint

GET
/geoscience-object/orgs/{org_id}/objects

Request

curl -X GET 'https://{service_host}/geoscience-object/orgs/{org_id}/objects' \
-H 'Authorization: Bearer <ACCESS_TOKEN>'

Response

{
"count": 0,
"limit": 0,
"links": {
"next": "string",
"prev": "string"
},
"objects": [
{
"created_at": "2024-07-29T15:51:28.071Z",
"created_by": {
"email": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "string"
},
"deleted_at": "2024-07-29T15:51:28.071Z",
"deleted_by": {
"email": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "string"
},
"geojson_bounding_box": {
"coordinates": [
[
[
0
]
]
],
"type": "Polygon"
},
"geojson_bounding_box_from_workspace_crs": true,
"modified_at": "2024-07-29T15:51:28.071Z",
"modified_by": {
"email": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "string"
},
"name": "string",
"object_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"schema": "string",
"stage": {
"name": "string",
"stage_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
},
"workspace_access": "owner",
"workspace_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"workspace_name": "string"
}
],
"offset": 0,
"total": 0
}

Update a geoscience object

Geoscience Object API

Version: 1.21.4
Preview

Update or restore a geoscience object by UUID. Uploading an object to this endpoint will update (replace, i.e. no partial updates) the existing object with a corresponding UUID. If the object was previously deleted, and the deleted parameter is set to false, this operation will attempt to restore the object. You cannot provide an object body when attempting to restore an object. Note that the value of the uuid field in the object must match the value in the URL path. New objects must be uploaded by path.

Parameters

Example: "1706583776404684724"

Optional header to apply an update only if the specified object version is the most recent available on the server.

authorizationstring
Required

Example: "355fa5a6-f37d-11ed-93c1-00155d19a71b"

UUID of a geoscience object.

Example: "b208a6c9-6881-4b97-b02d-acb5d81299bb"

The customer's organisation ID

workspace_iduuid
Required

Example: "032806a8-dcd7-11ed-8d5c-00155d8f28b5"

When set to false, the operation will attempt to restore the object.

The geoscience object schema.

Unique object UUID.

This schema accepts user-defined additional properties along with the documented schema. The additional properties must match the specified type where one is provided.

{
"schema": "string",
"uuid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"additionalProp1": "string",
"additionalProp2": "number",
"additionalProp3": "boolean"
}

Returns

201

The geoscience object version has been created.

created_atdate-time
created_byUser | null
deleted_atdate-time | null
deleted_byUser | null
etagstring
geojson_bounding_boxBoundingBox | null

True if the bounding box was calculated using the workspace CRS, else False.

download_urlstring | null
iduuid
namestring
downloadstring
modified_atdate-time
modified_byUser | null

The geoscience object with the additional required schema properties.

This object is largely defined by the schemas in the geoscience-object-schemas repository. There are some default, required values listed here explicitly.

The geoscience object schema.

Unique object UUID.

object_iduuid | null
object_pathstring | null
stageStageResponse | null
version_idstring

Endpoint

POST
/geoscience-object/orgs/{org_id}/workspaces/{workspace_id}/objects/{object_id}

Request

curl -X POST 'https://{service_host}/geoscience-object/orgs/{org_id}/workspaces/{workspace_id}/objects/{object_id}' \
-H 'Authorization: Bearer <ACCESS_TOKEN>'

Response

{
"created_at": "2024-07-29T15:51:28.071Z",
"created_by": {
"email": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "string"
},
"deleted_at": "2024-07-29T15:51:28.071Z",
"deleted_by": {
"email": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "string"
},
"etag": "string",
"geojson_bounding_box": {
"coordinates": [
[
[
0
]
]
],
"type": "Polygon"
},
"geojson_bounding_box_from_workspace_crs": true,
"links": {
"data": [
{
"download_url": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "string"
}
],
"download": "string"
},
"modified_at": "2024-07-29T15:51:28.071Z",
"modified_by": {
"email": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "string"
},
"object": {
"schema": "string",
"uuid": "string",
"additionalProp1": "string",
"additionalProp2": "number",
"additionalProp3": "boolean"
},
"object_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"object_path": "string",
"stage": {
"name": "string",
"stage_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
},
"version_id": "string"
}

Download a geoscience object by UUID

Geoscience Object API

Version: 1.21.4

Download a geoscience object with the provided UUID. If required, the object can be compressed, currently gzip compression is supported. To receive a compressed payload set header Accept-Encoding: gzip.

Parameters

Example: "1706583776404684724"

Optional header used to check if there are any more recent versions of an object than the one specified. Returns 304 (Not Modified) if there are no newer versions.

authorizationstring
Required

Example: "355fa5a6-f37d-11ed-93c1-00155d19a71b"

UUID of a geoscience object.

Example: "b208a6c9-6881-4b97-b02d-acb5d81299bb"

The customer's organisation ID

workspace_iduuid
Required

Example: "032806a8-dcd7-11ed-8d5c-00155d8f28b5"

Example: "1746593470905878783"

The (timestamp) version of the object to retrieve. Defaults to the latest version if not specified.

Whether to return all versions of the object

When true, only objects that have been deleted will be returned

Returns

200

The requested geoscience object and metadata

created_atdate-time
created_byUser | null
deleted_atdate-time | null
deleted_byUser | null
etagstring
geojson_bounding_boxBoundingBox | null

True if the bounding box was calculated using the workspace CRS, else False.

download_urlstring | null
iduuid
namestring
downloadstring
modified_atdate-time
modified_byUser | null

The geoscience object with the additional required schema properties.

This object is largely defined by the schemas in the geoscience-object-schemas repository. There are some default, required values listed here explicitly.

The geoscience object schema.

Unique object UUID.

object_iduuid
object_pathstring | null
stageStageResponse | null
version_idstring
versionsGeoscienceObjectVersion[] | null

Endpoint

GET
/geoscience-object/orgs/{org_id}/workspaces/{workspace_id}/objects/{object_id}

Request

curl -X GET 'https://{service_host}/geoscience-object/orgs/{org_id}/workspaces/{workspace_id}/objects/{object_id}' \
-H 'Authorization: Bearer <ACCESS_TOKEN>'

Response

{
"created_at": "2024-07-29T15:51:28.071Z",
"created_by": {
"email": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "string"
},
"deleted_at": "2024-07-29T15:51:28.071Z",
"deleted_by": {
"email": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "string"
},
"etag": "string",
"geojson_bounding_box": {
"coordinates": [
[
[
0
]
]
],
"type": "Polygon"
},
"geojson_bounding_box_from_workspace_crs": true,
"links": {
"data": [
{
"download_url": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "string"
}
],
"download": "string"
},
"modified_at": "2024-07-29T15:51:28.071Z",
"modified_by": {
"email": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "string"
},
"object": {
"schema": "string",
"uuid": "string",
"additionalProp1": "string",
"additionalProp2": "number",
"additionalProp3": "boolean"
},
"object_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"object_path": "string",
"stage": {
"name": "string",
"stage_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
},
"version_id": "string",
"versions": [
{
"created_at": "2024-07-29T15:51:28.071Z",
"created_by": {
"email": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "string"
},
"etag": "string",
"links": {
"download": "string"
},
"stage": {
"name": "string",
"stage_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
},
"version_id": "string"
}
]
}

Soft delete a geoscience object

Geoscience Object API

Version: 1.21.4

Delete a geoscience object by UUID. Deleting an object to this endpoint will soft delete the existing object with a corresponding UUID. Note that the value of the uuid field in the object must match the value in the URL path.

Parameters

authorizationstring
Required

Example: "355fa5a6-f37d-11ed-93c1-00155d19a71b"

UUID of a geoscience object.

Example: "b208a6c9-6881-4b97-b02d-acb5d81299bb"

The customer's organisation ID

workspace_iduuid
Required

Example: "032806a8-dcd7-11ed-8d5c-00155d8f28b5"

Returns

204

The geoscience object version has been deleted.

Endpoint

DELETE
/geoscience-object/orgs/{org_id}/workspaces/{workspace_id}/objects/{object_id}

Request

curl -X DELETE 'https://{service_host}/geoscience-object/orgs/{org_id}/workspaces/{workspace_id}/objects/{object_id}' \
-H 'Authorization: Bearer <ACCESS_TOKEN>'

Response

No response body.


Create a geoscience object

Geoscience Object API

Version: 1.21.4
Preview

Create or update a geoscience object.

Upload a geoscience object based on the schema element. Geoscience objects can be stored hierarchically, by providing the path to the object, including the object name, in the request URL. A detailed list of the available object schemas can be found in Seequent's evo-schemas repository.

The submitted properties will be validated against the specified schema properties.

To create a new object, upload it to a unique path with the UUID field set to null. The response will contain a reflection of the uploaded object with a newly assigned object ID. This can be used for future requests to update the object.

If a version of the geoscience object already exists at the specified path a new version will be created. To move or rename an existing object, simply upload a new version of it (with the same UUID) to a new, unique path or file name.

Note that every upload of an object is considered a new version, even if no changes have been made.

If required, the object should be compressed, currently gzip compression is supported. Set header Content-Encoding: gzip if the content is compressed and Accept-Encoding: gzip to receive compressed content.

Parameters

Example: "1706583776404684724"

Optional header to apply an update only if the specified object version is the most recent available on the server.

authorizationstring
Required

Example: "b208a6c9-6881-4b97-b02d-acb5d81299bb"

The customer's organisation ID

workspace_iduuid
Required

Example: "032806a8-dcd7-11ed-8d5c-00155d8f28b5"

The geoscience object schema.

Unique object UUID.

This schema accepts user-defined additional properties along with the documented schema. The additional properties must match the specified type where one is provided.

{
"schema": "string",
"uuid": "string",
"additionalProp1": "string",
"additionalProp2": "number",
"additionalProp3": "boolean"
}

Returns

201

The geoscience object version has been created.

created_atdate-time
created_byUser | null
deleted_atdate-time | null
deleted_byUser | null
etagstring
geojson_bounding_boxBoundingBox | null

True if the bounding box was calculated using the workspace CRS, else False.

download_urlstring | null
iduuid
namestring
downloadstring
modified_atdate-time
modified_byUser | null

The geoscience object with the additional required schema properties.

This object is largely defined by the schemas in the geoscience-object-schemas repository. There are some default, required values listed here explicitly.

The geoscience object schema.

Unique object UUID.

object_iduuid | null
object_pathstring | null
stageStageResponse | null
version_idstring

Endpoint

POST
/geoscience-object/orgs/{org_id}/workspaces/{workspace_id}/objects/path/*

Request

curl -X POST 'https://{service_host}/geoscience-object/orgs/{org_id}/workspaces/{workspace_id}/objects/path/*' \
-H 'Authorization: Bearer <ACCESS_TOKEN>'

Response

{
"created_at": "2024-07-29T15:51:28.071Z",
"created_by": {
"email": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "string"
},
"deleted_at": "2024-07-29T15:51:28.071Z",
"deleted_by": {
"email": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "string"
},
"etag": "string",
"geojson_bounding_box": {
"coordinates": [
[
[
0
]
]
],
"type": "Polygon"
},
"geojson_bounding_box_from_workspace_crs": true,
"links": {
"data": [
{
"download_url": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "string"
}
],
"download": "string"
},
"modified_at": "2024-07-29T15:51:28.071Z",
"modified_by": {
"email": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "string"
},
"object": {
"schema": "string",
"uuid": "string",
"additionalProp1": "string",
"additionalProp2": "number",
"additionalProp3": "boolean"
},
"object_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"object_path": "string",
"stage": {
"name": "string",
"stage_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
},
"version_id": "string"
}

Download a geoscience object

Geoscience Object API

Version: 1.21.4

Download a geoscience object from the provided path. If required, the object can be compressed, currently gzip compression is supported. To receive a compressed payload set header Accept-Encoding: gzip.

Parameters

Example: "1706583776404684724"

Optional header used to check if there are any more recent versions of an object than the one specified. Returns 304 (Not Modified) if there are no newer versions.

authorizationstring
Required

Example: "b208a6c9-6881-4b97-b02d-acb5d81299bb"

The customer's organisation ID

workspace_iduuid
Required

Example: "032806a8-dcd7-11ed-8d5c-00155d8f28b5"

Example: "1746593470905878783"

The (timestamp) version of the object to retrieve. Defaults to the latest version if not specified.

Whether to return all versions of the object

Returns

200

The requested geoscience object and metadata

created_atdate-time
created_byUser | null
deleted_atdate-time | null
deleted_byUser | null
etagstring
geojson_bounding_boxBoundingBox | null

True if the bounding box was calculated using the workspace CRS, else False.

download_urlstring | null
iduuid
namestring
downloadstring
modified_atdate-time
modified_byUser | null

The geoscience object with the additional required schema properties.

This object is largely defined by the schemas in the geoscience-object-schemas repository. There are some default, required values listed here explicitly.

The geoscience object schema.

Unique object UUID.

object_iduuid
object_pathstring | null
stageStageResponse | null
version_idstring
versionsGeoscienceObjectVersion[] | null

Endpoint

GET
/geoscience-object/orgs/{org_id}/workspaces/{workspace_id}/objects/path/*

Request

curl -X GET 'https://{service_host}/geoscience-object/orgs/{org_id}/workspaces/{workspace_id}/objects/path/*' \
-H 'Authorization: Bearer <ACCESS_TOKEN>'

Response

{
"created_at": "2024-07-29T15:51:28.071Z",
"created_by": {
"email": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "string"
},
"deleted_at": "2024-07-29T15:51:28.071Z",
"deleted_by": {
"email": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "string"
},
"etag": "string",
"geojson_bounding_box": {
"coordinates": [
[
[
0
]
]
],
"type": "Polygon"
},
"geojson_bounding_box_from_workspace_crs": true,
"links": {
"data": [
{
"download_url": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "string"
}
],
"download": "string"
},
"modified_at": "2024-07-29T15:51:28.071Z",
"modified_by": {
"email": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "string"
},
"object": {
"schema": "string",
"uuid": "string",
"additionalProp1": "string",
"additionalProp2": "number",
"additionalProp3": "boolean"
},
"object_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"object_path": "string",
"stage": {
"name": "string",
"stage_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
},
"version_id": "string",
"versions": [
{
"created_at": "2024-07-29T15:51:28.071Z",
"created_by": {
"email": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "string"
},
"etag": "string",
"links": {
"download": "string"
},
"stage": {
"name": "string",
"stage_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
},
"version_id": "string"
}
]
}

Soft delete a geoscience object by path

Geoscience Object API

Version: 1.21.4

Soft delete a geoscience object by path. This endpoint will mark the object as deleted but won't actually remove it from the database.

Parameters

authorizationstring
Required

Example: "b208a6c9-6881-4b97-b02d-acb5d81299bb"

The customer's organisation ID

workspace_iduuid
Required

Example: "032806a8-dcd7-11ed-8d5c-00155d8f28b5"

Returns

204

The geoscience object has been soft deleted.

Endpoint

DELETE
/geoscience-object/orgs/{org_id}/workspaces/{workspace_id}/objects/path/*

Request

curl -X DELETE 'https://{service_host}/geoscience-object/orgs/{org_id}/workspaces/{workspace_id}/objects/path/*' \
-H 'Authorization: Bearer <ACCESS_TOKEN>'

Response

No response body.


List geoscience objects

Geoscience Object API

Version: 1.21.4

List geoscience objects. The response will include all geoscience objects matching the given filters.The geoscience objects will be the latest version of the object. If there are no objects matching the given filters, an empty list is returned.

Parameters

authorizationstring
Required

Example: "b208a6c9-6881-4b97-b02d-acb5d81299bb"

The customer's organisation ID

workspace_iduuid
Required

Example: "032806a8-dcd7-11ed-8d5c-00155d8f28b5"

Example: 10

Default: 5000

Max number of results per page.

Number of results to skip before returning limit number of results.

When true, only objects that have been deleted will be returned

Example: "object_name,desc:created_by,asc:object.a.b.c"

A comma separated list of fields to order by, where the default sort order is ascending. To specify the sort order, prefix the field name with either asc: or desc: for ascending or descending respectively. Field names can either be arbitrary, representing a field nested inside the data, or one of the following known sort fields: author, created_at, created_by, deleted_at, modified_at, modified_by, object_name

Example: "00000000-0000-0000-0000-000000000000"

(deprecated, use created_by) The profile ID that you want to filter by

Example: "00000000-0000-0000-0000-000000000000"

The UUID of the user that created an object

Example: "gte:2023-03-10T22:56:53Z"

A date or dates (max 2) to filter objects by. Dates may contain operator prefixes, in the form <operator>:<datetime>. The following operators are available (lt=less than, lte=less than or equal to, gt=greater than, gte=greater than or equal to). If you omit the operator, then it is assumed the operator is 'equal to'. In this case you may only supply one date. The dates must also be in a valid ISO 8601 format. Dates may include a UTC offset. If the offset is omitted, the timezone is assumed to be UTC.

Example: "00000000-0000-0000-0000-000000000000"

The UUID of the user that modified an object

Example: "gte:2023-03-10T22:56:53Z"

A date or dates (max 2) to filter objects by. Dates may contain operator prefixes, in the form <operator>:<datetime>. The following operators are available (lt=less than, lte=less than or equal to, gt=greater than, gte=greater than or equal to). If you omit the operator, then it is assumed the operator is 'equal to'. In this case you may only supply one date. The dates must also be in a valid ISO 8601 format. Dates may include a UTC offset. If the offset is omitted, the timezone is assumed to be UTC.

Examples: "object.json", "eq:path/to/object.json"

The name of the object to filter on. For backwards compatibility, when no operators are supplied, this will perform a case sensitive prefix match of the object file name. The query object_name=gold will match an object with the name goldcolumns.json. Providing an operator will query over the entire path to and including the file name.

Examples: "/objects/variogram/0.1.0/variogram.schema.json", "like:*variogram*"

The type of schema you want to filter by.

Example: "00000000-0000-0000-0000-000000000000"

The UUID of the user that deleted an object

Example: "gte:2023-03-10T22:56:53Z"

A date or dates (max 2) to filter objects by. Dates may contain operator prefixes, in the form <operator>:<datetime>. The following operators are available (lt=less than, lte=less than or equal to, gt=greater than, gte=greater than or equal to). If you omit the operator, then it is assumed the operator is 'equal to'. In this case you may only supply one date. The dates must also be in a valid ISO 8601 format. Dates may include a UTC offset. If the offset is omitted, the timezone is assumed to be UTC.

Example: "geointersects:(171.6,-44.5),(173.7,-44.5),(173.7,-42.9),(171.6,-42.9),(171.6,-44.5)"

The coordinates of the data to spatially search on. The value may optionally include one of two spatial operators, geowithin or geointersects. If an operator is not defined, then geointersects will be used by default. The coordinates must be 5 pairs of longitude and latitude, representing a closed polygon. The first and last coordinates must be the same to close the polygon.

Returns

200

Successful Response

countinteger
limitinteger

nextstring | null
prevstring | null

created_atdate-time
created_byUser | null
deleted_atdate-time | null
deleted_byUser | null
etagstring
geojson_bounding_boxBoundingBox | null

True if the bounding box was calculated using the workspace CRS, else False.

downloadstring
modified_atdate-time
modified_byUser | null
namestring
object_iduuid
pathstring

The geoscience object schema.

stageStageResponse | null
version_idstring
offsetinteger
totalinteger

Endpoint

GET
/geoscience-object/orgs/{org_id}/workspaces/{workspace_id}/objects

Request

curl -X GET 'https://{service_host}/geoscience-object/orgs/{org_id}/workspaces/{workspace_id}/objects' \
-H 'Authorization: Bearer <ACCESS_TOKEN>'

Response

{
"count": 0,
"limit": 0,
"links": {
"next": "string",
"prev": "string"
},
"objects": [
{
"created_at": "2024-07-29T15:51:28.071Z",
"created_by": {
"email": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "string"
},
"deleted_at": "2024-07-29T15:51:28.071Z",
"deleted_by": {
"email": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "string"
},
"etag": "string",
"geojson_bounding_box": {
"coordinates": [
[
[
0
]
]
],
"type": "Polygon"
},
"geojson_bounding_box_from_workspace_crs": true,
"links": {
"download": "string"
},
"modified_at": "2024-07-29T15:51:28.071Z",
"modified_by": {
"email": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "string"
},
"name": "string",
"object_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"path": "string",
"schema": "string",
"stage": {
"name": "string",
"stage_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
},
"version_id": "string"
}
],
"offset": 0,
"total": 0
}

List the latest version IDs for geoscience objects

Geoscience Object API

Version: 1.21.4

Request to fetch the latest version IDs for a collection of geoscience objects (maximum of 500). The request body must only contain a list of UUIDs of the objects to check. The response will contain a list of objects with their UUIDs and the latest version ID. If the object from a given UUID does not exist or has been deleted, the request will be successful, but the version ID will be null.

Parameters

authorizationstring
Required

Example: "b208a6c9-6881-4b97-b02d-acb5d81299bb"

The customer's organisation ID

workspace_iduuid
Required

Example: "032806a8-dcd7-11ed-8d5c-00155d8f28b5"

[
"string"
]

Returns

200

Successful Response

object_idstring
version_idstring | null

Endpoint

PATCH
/geoscience-object/orgs/{org_id}/workspaces/{workspace_id}/objects

Request

curl -X PATCH 'https://{service_host}/geoscience-object/orgs/{org_id}/workspaces/{workspace_id}/objects' \
-H 'Authorization: Bearer <ACCESS_TOKEN>'

Response

[
{
"object_id": "string",
"version_id": "string"
}
]

Gets specified versions of a Geoscience Object.

Geoscience Object API

Version: 1.21.4

List specific versions of a Geoscience Object. The response will include all the versions specified in version_ids field of the request body. If one or more of the version ids are not found for the geoscience object a 404 error will be returned.

Parameters

authorizationstring
Required

Example: "355fa5a6-f37d-11ed-93c1-00155d19a71b"

UUID of a geoscience object.

Example: "b208a6c9-6881-4b97-b02d-acb5d81299bb"

The customer's organisation ID

workspace_iduuid
Required

Example: "032806a8-dcd7-11ed-8d5c-00155d8f28b5"

version_idsstring[]
Required

{
"version_ids": [
"string"
]
}

Returns

200

Successful Response

created_atdate-time
created_byUser | null
etagstring

downloadstring
stageStageResponse | null
version_idstring

Endpoint

POST
/geoscience-object/orgs/{org_id}/workspaces/{workspace_id}/objects/{object_id}/versions

Request

curl -X POST 'https://{service_host}/geoscience-object/orgs/{org_id}/workspaces/{workspace_id}/objects/{object_id}/versions' \
-H 'Authorization: Bearer <ACCESS_TOKEN>'

Response

{
"versions": [
{
"created_at": "2024-07-29T15:51:28.071Z",
"created_by": {
"email": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "string"
},
"etag": "string",
"links": {
"download": "string"
},
"stage": {
"name": "string",
"stage_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
},
"version_id": "string"
}
]
}

What is the reason for your feedback?